Send a fax

This API allows authorized users to send a fax through a specified fax server. The fax can include either a file attachment or a coversheet with a subject and message. Both options are mutually exclusive, meaning at least one of them must be provided. The API also supports specifying language, quality, and a callback webhook URL to receive fax status updates.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers:

Authorization: Bearer [Token]

Body:

KeyDescriptionRequired
fax_server_idThe ID of the fax server to use for sending the faxYes
to_numberThe Receipient's Phone NumberYes
filesArray of file Objects URLYes, if No Coversheet is provided
coversheet: {
subject: "",
message: ""
}
JSON Object for CoversheetYes, if No Files are provided
languageThe Language Preference (en-us or fr-ca)No
qualityThe Desired Quality for the Fax (high, ultra_dark, ultra_light)No (high by default)
callback_webhook_urlA URL to receive status updates and notifications about the faxNo
Body Params
uuid
required
string
required
string
required
files
array of strings

List of files to be sent as fax. Optional if coversheet is provided.

files
coversheet
object

Coversheet details. Optional if files are provided.

string
enum

Optional language setting.

Allowed:
string

Optional fax quality setting.

uri

Optional webhook URL for callbacks.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json